Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class Message

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.Message

    public class Message

extends java.lang.Object

Wrapper class for SAG C++ Message class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`Message()` Creates a new instance of Message

Method Summary
`void` | `free()` Method free.
`Envelope` | `getEnvelope()` Return the envelope for this message
`Letter` | `getLetter()` Return the letter object for this message
`void` | `setEnvelope(Envelope envelope)` Set the envelope for this message
`void` | `setLetter(Letter letter)` Set the letter object for this message
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message()

  Creates a new instance of Message

Method Detail

### free

    public void free()

  Method free.

### setLetter

    public void setLetter(Letter letter)

  Set the letter object for this message

  Parameters:
    `letter` - Letter

### setEnvelope

    public void setEnvelope(Envelope envelope)

  Set the envelope for this message

  Parameters:
    `envelope` - Envelope

### getLetter

    public Letter getLetter()

  Return the letter object for this message

  Returns:
    Letter

### getEnvelope

    public Envelope getEnvelope()

  Return the envelope for this message

  Returns:
    Envelope

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.